package com.eactive.eai.common.header;

/** 
* 1. 기능 : 공통부 Header를 EAI에서 생성하거나 삭제해야하는 경우를 위한 Factory Class
* 2. 처리 개요 : 
*     - 메시지종류에 따라 헤더를 생성하거나 삭제하는 API를 제공
* 3. 주의사항 
*     - AD 의 경우는 S는 ADD, R 는 DELETE
*     - DA 의 경우는 S는 DELETE, R 는 ADD
* @author  : 
* @version : v 1.0.0
* @see :
* @since : 
*/
public class HeaderActionFactory 
{ 
	
    private HeaderActionFactory() {
    }
    
    public static HeaderAction createAction(String actionName) throws HeaderActionException {
        HeaderAction action = null;
        try {
            Class cl = Class.forName(actionName);
            action = (HeaderAction)cl.newInstance();
        } catch(Exception e) {
            throw new HeaderActionException("Cannot create a HeaderAction. - "+actionName);   
        }
        return action;
    }
    
} 
